torsdag den 16. januar 2020 kl. 00.15.29 UTC+1 skrev Rafael Reis:
>
> Sources: 
>
> https://www.qubes-os.org/doc/pentesting/kali/#qubes-40
>
> https://docs.parrotlinux.org/getting-started/install-qubes/
>
>
> Hey guys. 
>
> I'm following the instructions above to install Kali / Parrot  to Qubes.
>
> Both guides require a debian dist-upgrade to the testing release. Both 
> guides mention the following:
>
>
> *Note:* During execution of a dist-upgrade command read carefully list of 
>> packages to be removed. If it contains qubes-* packages, terminate 
>> operation and try to resolve qubes-* packages missing dependencies first.
>>
>
> This is exactly what happened. I have:
>
> qubes-core-agent-dom0-updates qubes-core-agent-passwordless-root
>   qubes-gpg-split qubes-img-converter qubes-input-proxy-sender
>   qubes-mgmt-salt-vm-connector qubes-pdf-converter qubes-thunderbird
>   qubes-usb-proxy 
>
>
> for removal.
>
> I'm not advanced enough to know what to do to "resolve qubes-* packages 
> missing dependencies first."
>
> Could anybody help?
>
 

I had success with entering a command like this just before doing the 
dist-upgrade(don't remember all the packages):


sudo apt install qubes-core-agent-dom0-updates qubes-core-agent-passwordless
-qubes-gpg-split qubes-img-converter qubes-input-proxy-sender qubes-mgmt-
salt-vm-connector qubes-pdf-converter qubes-thunderbird qubes-usb-proxy


That, I seem to recall, removed the need for package removal and made my 
first easily installed kali based on debian-10.


Sincerely

Max



-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/b4adb67a-1ec0-4d6c-9f19-3cfbae1b6c70%40googlegroups.com.

Reply via email to